> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Workflow Campaigns

> Get list of workflow campaigns for a location



## OpenAPI

````yaml /api-reference/emails/openapi.json get /emails/campaigns/workflows
openapi: 3.0.0
info:
  title: Email API
  description: Documentation for emails API
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Emails
    description: Documentation for emails API
  - name: Campaigns
    description: Documentation for emails API
  - name: Templates
    description: Documentation for emails API
  - name: Statistics
    description: Documentation for emails API
paths:
  /emails/campaigns/workflows:
    get:
      tags:
        - Campaigns
      summary: Get Workflow Campaigns
      description: Get list of workflow campaigns for a location
      operationId: fetch-workflow-campaigns
      parameters:
        - name: locationId
          required: true
          in: query
          schema:
            example: k23k23jl23l32l
            type: string
        - name: limit
          required: false
          in: query
          description: >-
            Number of campaigns to return. Defaults to 10, minimum is 1, maximum
            is 20
          schema:
            minimum: 1
            maximum: 20
            default: 10
            example: 10
            type: number
        - name: offset
          required: false
          in: query
          description: Number of items to skip for pagination. Defaults to 0, minimum is 0
          schema:
            minimum: 0
            default: 0
            example: 0
            type: number
        - name: search
          required: false
          in: query
          schema:
            default: ''
            example: workflow
            type: string
        - name: status
          required: false
          in: query
          description: Filter by campaign status
          schema:
            example: published
            enum:
              - published
              - draft
            type: string
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
            example: '2021-07-28'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetWorkflowCampaignsPublicResponseDto'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '403':
          description: The token does not have access to this location
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidLocationDTO'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - Location-Access:
            - emails/schedule.readonly
components:
  schemas:
    GetWorkflowCampaignsPublicResponseDto:
      type: object
      properties:
        campaigns:
          description: List of workflow campaigns
          type: array
          items:
            $ref: '#/components/schemas/WorkflowCampaignPublicDto'
        total:
          type: number
          description: Total count of campaigns
          example: 50
      required:
        - campaigns
        - total
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
      required:
        - statusCode
        - message
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
      required:
        - statusCode
        - message
        - error
    InvalidLocationDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 403
        message:
          type: string
          example: The token does not have access to this location
    NotFoundDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 404
        message:
          type: string
          example: Not Found
        error:
          type: string
          example: The requested resource was not found
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
      required:
        - statusCode
        - message
        - error
    WorkflowCampaignPublicDto:
      type: object
      properties:
        id:
          type: string
          description: Campaign ID
          example: 693bd14ea6b50a8df0180e9a
        name:
          type: string
          description: Campaign name
          example: sorting workflow
        status:
          type: string
          description: Campaign status
          example: published
          enum:
            - published
            - draft
        sourceId:
          type: string
          description: Source ID
          example: 115b9030-907c-474c-90a5-2debd838a024
        deleted:
          type: boolean
          description: Whether the campaign is deleted
          example: false
        createdAt:
          type: string
          description: Created at timestamp
          example: '2025-12-12T08:24:46.700Z'
        updatedAt:
          type: string
          description: Updated at timestamp
          example: '2026-01-23T05:58:48.453Z'
      required:
        - id
        - name
        - status
        - sourceId
        - deleted
        - createdAt
        - updatedAt

````